package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.CompanyCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CompanyDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CompanyUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.CompanyListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CompanyPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CompanyShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.CompanyVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface CompanyServiceI {
	CompanyVO create(CompanyCreateCmd companyCreateCmd);

	PageDTO<CompanyVO> page(CompanyPageQry companyPageQry);

	List<CompanyVO> list(CompanyListQry companyListQry);

	CompanyVO update(CompanyUpdateCmd companyUpdateCmd);

	CompanyVO show(CompanyShowQry companyShowQry);

	void destroy(CompanyDestroyCmd companyDestroyCmd);
}

